| MissingH-1.1.0.3: Large utility library | Contents | Index
Network.Utils |
Portability | systems with networking
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>
Description
This module provides various helpful utilities for dealing with networking Written by John Goerzen, jgoerzen@complete.org
Synopsis
niceSocketsDo :: IO a -> IO a
connectTCP :: HostName -> PortNumber -> IO Socket
connectTCPAddr :: SockAddr -> IO Socket
listenTCPAddr :: SockAddr -> Int -> IO Socket
showSockAddr :: SockAddr -> IO String
Documentation
niceSocketsDo :: IO a -> IO a
Sets up the system for networking. Similar to the built-in withSocketsDo (and actually, calls it), but also sets the SIGPIPE handler so that signal is ignored. Example:
     main = niceSocketsDo $ do { ... }
connectTCP :: HostName -> PortNumber -> IO Socket
connectTCPAddr :: SockAddr -> IO Socket
listenTCPAddr :: SockAddr -> Int -> IO Socket
showSockAddr :: SockAddr -> IO String
Produced by Haddock version 2.7.2